Codec.Compression.Zlib.Internal

# Pure interface

compress

decompress

# Monadic incremental interface

## Using incremental compression

data CompressStream m

compressST

compressIO

foldCompressStream

foldCompressStreamWithInput

## Using incremental decompression

data DecompressStream m

data DecompressError

decompressST

decompressIO

foldDecompressStream

foldDecompressStreamWithInput

# The compression parameter types

data CompressParams

defaultCompressParams

data DecompressParams

defaultDecompressParams

data Format

gzipFormat

zlibFormat

rawFormat

gzipOrZlibFormat

data CompressionLevel

defaultCompression

noCompression

bestSpeed

bestCompression

compressionLevel

data Method

deflateMethod

data WindowBits

defaultWindowBits

windowBits

data MemoryLevel

defaultMemoryLevel

minMemoryLevel

maxMemoryLevel

memoryLevel

data CompressionStrategy

defaultStrategy

filteredStrategy

huffmanOnlyStrategy